/*
Traitement

Copyright (C) 2002 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformément aux dispositions de la Licence Publique Générale GNU, telle que publiée par la Free Software Foundation ; version 2 de la licence, ou encore (à votre choix) toute version ultérieure.

Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de détail, voir la Licence Publique Générale GNU .

Vous devez avoir reçu un exemplaire de la Licence Publique Générale GNU en même temps que ce programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

function Messages() {
}

Messages.langue = 'fr';

Messages.messages = {
    'fr' : {
        /* Traitement */
        'seuil_bas' : "seuil bas:",
        'seuil_bas' : "seuil bas:",
        'seuil_haut' : "seuil haut:",
        'changer' : "changer",
        'auto' : "auto",
        'opération_sur_image_sélectionnée' : "-opération sur l'image sélectionnée-",
        'opération_sur_plusieurs_images' : "-opération sur plusieurs images-",
        'addition_avec_recentrage' : "addition avec recentrage",
        'addition_sans_recentrage' : "addition sans recentrage",
        'soustraction' : "soustraction",
        'division' : "division",
        'coupe' : "coupe",
        'filtre' : "filtre",
        'suppression' : "suppression",
        'palette' : "palette:",
        'niveaux_de_gris' : "niveaux de gris",
        'arc-en-ciel' : "arc-en-ciel",
        'rouges' : "rouges",
        'verts' : "verts",
        'bleus' : "bleus",
        'Erreur' : "Erreur",
        'Question' : "Question",
        'Sélectionnez_addition' : "Sélectionnez les images à additionner",
        'Sélectionnez_étoile' : "Sélectionnez une étoile en faisant un cercle à partir du centre",
        'Nom_nouvelle_image' : "Nom de la nouvelle image:",
        'Sélectionnez_image1_soustraction' : "Sélectionnez la première image (à laquelle la 2ème sera soustraite)",
        'Sélectionnez_image2' : "Sélectionnez la deuxième image",
        'Sélectionnez_image1_division' : "Sélectionnez la première image (qui sera divisée par la 2ème)",
        'Sélectionnez_coupe' : "Sélectionnez une ligne de coupe",
        'Sélectionnez_images_supprimer' : "Sélectionnez les images à supprimer",

                /* FenetreGraphe */
        'Graphe' : "Graphe",
        'position' : "position",
        'intensité' : "intensité",
        'moyenne' : "moyenne:",
        'écart-type' : "écart-type:",
        'Fermer' : "Fermer",

                /* SelectionDlg */
        'Sélection_images' : "Sélection d'images",
        'Sélectionner_au_moins' : "Il faut sélectionner au moins",
        'images' : "images",
        'Sélectionner_au_plus' : "Il faut sélectionner au plus",

                /* FiltreDlg */
        'Filtre' : "Filtre",
        'Valeurs_filtre' : "Valeurs du filtre:",
        'OK' : "OK",
        'Annuler' : "Annuler"
    },
    'en' : {
        'seuil_bas' : "lower ts:",
        'seuil_haut' : "higher ts:",
        'changer' : "change",
        'auto' : "auto",
        'opération_sur_image_sélectionnée' : "-operation on the selected image-",
        'opération_sur_plusieurs_images' : "-operation on several images-",
        'addition_avec_recentrage' : "addition with recentering",
        'addition_sans_recentrage' : "addition without recentering",
        'soustraction' : "substraction",
        'division' : "division",
        'coupe' : "section",
        'filtre' : "filter",
        'suppression' : "remove",
        'palette' : "palette:",
        'niveaux_de_gris' : "grayscale",
        'arc-en-ciel' : "rainbow",
        'rouges' : "red",
        'verts' : "green",
        'bleus' : "blue",
        'Erreur' : "Erreur",
        'Question' : "Question",
        'Sélectionnez_addition' : "Select the images to add",
        'Sélectionnez_étoile' : "Select a star by drawing a circle from the center",
        'Nom_nouvelle_image' : "Name of the new image:",
        'Sélectionnez_image1_soustraction' : "Select the first image (to which the 2nd will be substracted)",
        'Sélectionnez_image2' : "Select the second image",
        'Sélectionnez_image1_division' : "Select the first image (which will be divided by the 2nd)",
        'Sélectionnez_coupe' : "Select a section line",
        'Sélectionnez_images_supprimer' : "Select the images to remove",

        /* FenetreGraphe */
        'Graphe' : "Graph",
        'position' : "position",
        'intensité' : "intensity",
        'moyenne' : "average:",
        'écart-type' : "std deviation:",
        'Fermer' : "Close",

        /* SelectionDlg */
        'Sélection_images' : "Image selection",
        'Sélectionner_au_moins' : "Select at least",
        'images' : "images",
        'Sélectionner_au_plus' : "Select not more than",

        /* FiltreDlg */
        'Filtre' : "Filtre",
        'Valeurs_filtre' : "Filter values:",
        'OK' : "OK",
        'Annuler' : "Cancel"
    },
    'es': {
        'seuil_bas' : "umbral bajo:",
        'seuil_haut' : "umbral alto:",
        'changer' : "cambiar",
        'auto' : "auto",
        'opération' : "-operación-",
        'opération_sur_image_sélectionnée' : "-operación en la imagen seleccionada-",
        'opération_sur_plusieurs_images' : "-operación en varias imágenes-",
        'addition_avec_recentrage' : "adición con recentraje",
        'addition_sans_recentrage' : "adición sin recentraje",
        'soustraction' : "sustracción",
        'division' : "división",
        'coupe' : "corte",
        'filtre' : "filtro",
        'suppression' : "borrar",
        'palette' : "paleta:",
        'niveaux_de_gris' : "nivel de grises",
        'arc-en-ciel' : "arco iris",
        'rouges' : "rojos",
        'verts' : "verdes",
        'bleus' : "azul",
        'Erreur' : "Error",
        'Question' : "Cuestión",
        'Sélectionnez_addition' : "Seleccionar las imágenes para añadir",
        'Sélectionnez_étoile' : "Seleccionar una estrella dibujando un círculo desde el centro",
        'Nom_nouvelle_image' : "Nombre de la nueva imagen:",
        'Sélectionnez_image1_soustraction' : "Seleccionar la primera imagen (a la que le será sustraida la segunda)",
        'Sélectionnez_image2' : "Seleccionar la segunda imagen",
        'Sélectionnez_image1_division' : "Seleccionar la primera imagen (que será dividida por la segunda)",
        'Sélectionnez_coupe' : "Seleccionar una línea de corte",
        'Sélectionnez_images_supprimer' : "Seleccionar las imágenes que hay que borrar",

        /* FenetreGraphe */
        'Graphe' : "Gráfica",
        'position' : "posición",
        'intensité' : "intensidad",
        'moyenne' : "media:",
        'écart-type' : "desviación típica:",
        'Fermer' : "Cerrar",

        /* SelectionDlg */
        'Sélection_images' : "Selección de imágenes",
        'Sélectionner_au_moins' : "Hay que seleccionar al menos",
        'images' : "images",
        'Sélectionner_au_plus' : "Hay que seleccionar como máximo",

        /* FiltreDlg */
        'Filtre' : "Filtro",
        'Valeurs_filtre' : "Valores del filtro:",
        'OK' : "OK",
        'Annuler' : "Cancelar"
    }
}

Messages.get = function(nom) {
    return(Messages.messages[Messages.langue][nom]);
}
